<h2>
    Rejstrik rastlin
    <md-button class="md-raised md-primary md-fab md-mini" ng-click="addPlant()" flex-gt-sm="20"
               araia-label="Přidej novou rostlinu">
        <md-icon md-font-icon="material-icons">add</md-icon>
    </md-button>
    <md-button class="md-raised md-fab md-mini" ng-click="print()" flex-gt-sm="20" aria-label="Tisk">
        <md-icon md-font-icon="material-icon">print</md-icon>
    </md-button>
</h2>
<fieldset>
    <legend>Filter ({{plants.length}} found):</legend>
    <div class="plants-filter-collapsed">
        <div layout="row">
            <md-input-container class="md-block search-input" flex-gt-sm="">
                <label>Search string</label>
                <input ng-model="filter.search" ng-keypress="onSearchKeyPress($event)">
            </md-input-container>
            <div ng-if="!filter.expanded">
                <md-button class="md-raised" ng-click="search()" flex-gt-sm="20">Search</md-button>
            </div>
            <div>
                <md-button class="md-primary" ng-click="toggleExpandFilter()" flex-gt-sm="10">
                    {{getExpandButtonText()}}
                </md-button>
            </div>
        </div>
    </div>
    <div ng-if="filter.expanded" class="">
        <div layout="row">
            <md-input-container class="md-block" flex-gt-sm="">
                <label>Category</label>
                <md-select ng-model="filter.category">
                    <md-option ng-repeat="category in categories" value="{{category.id}}">
                        {{category.name}}
                    </md-option>
                </md-select>
            </md-input-container>
            <md-input-container class="md-block" flex-gt-sm="">
                <label>Family</label>
                <md-select ng-model="filter.family">
                    <md-option ng-repeat="family in families" value="{{family.id}}">
                        {{family.name}}
                    </md-option>
                </md-select>
            </md-input-container>
        </div>
        <div layout="row">
            <md-contact-chips flex-gt-sm="40" ng-model="filter.tags" md-contacts="tagQuerySearch($query)"
                              md-contact-name="name" md-require-match="true" md-highlight-flags="i"
                              filter-selected="filterSelected" placeholder="Start type to add tags">
            </md-contact-chips>
            <md-button class="md-primary" ng-click="showAllTags()">Manage</md-button>
        </div>
        <div layout="row">
            <md-input-container class="md-block" flex="20">
                <label>Filtr podle utora</label>
                <md-select class="authors-select" ng-model="filter.author_filter">
                    <md-option value="any">žádný filtr</md-option>
                    <md-option value="selected">některý z autoru</md-option>
                    <md-option value="none">žádný autor</md-option>
                </md-select>
            </md-input-container>
            <md-input-container class="md-block" ng-if="filter.author_filter==='selected'" flex="auto">
                <label>Autor</label>
                <md-select ng-model="filter.authors" multiple>
                    <md-optgroup label="Autoři">
                        <md-option ng-repeat="author in authors" ng-value="{{author.id}}">
                            <md-icon ng-if="authorIsSelected(author.id)" md-font-icon="material-icons">check_box</md-icon><md-icon ng-if="!authorIsSelected(author.id)" md-font-icon="material-icons">check_box_outline_blank</md-icon>{{author.name}}
                        </md-option>
                    </md-optgroup>
                </md-select>
            </md-input-container>
        </div>
        <div layout="row">
            <div flex-gt-sm="15">
                <md-button class="md-raised md-block" ng-click="search()">Search</md-button>
            </div>
            <div flex-gt-sm="70">
            </div>
            <div flex-gt-sm="5">
                <md-button class="md-primary md-block" ng-click="clearFilter()">Clear filter</md-button>
            </div>
        </div>
    </div>
</fieldset>
<!-- results on map! -->
<ui-gmap-google-map center='map.center' zoom='map.zoom' events='map.events'></ui-gmap-google-map>
<!-- results table -->
<div>
    <div ng-if="tableModel.selected.length > 0" class="table-top-toolbar">
        <md-button class="md-raised" aria-label="Add tag" ng-click="tableTagDialog($event, true)">Add tag(s)</md-button>
        <md-button class="md-raised" aria-label="Remove tag" ng-click="tableTagDialog($event, false)">Remove tag(s)
        </md-button>
    </div>
    <md-table-container>
        <table md-table md-row-select multiple ng-model="tableModel.selected" md-progress="tableModel.promise"
               class="menusTable">
            <thead md-head md-order="tableModel.query.order">
            <tr md-row>
                <th md-column md-order-by="id">
                    <md-menu>
                        <md-button aria-label="Column settings" class="md-icon-button"
                                   ng-click="openMenu($mdOpenMenu, $event)">
                            <i class="material-icons">settings</i>
                        </md-button>
                        <md-menu-content class="table-columns-options-menu" width="4">
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.name_lat"
                                             aria-label="Latin name">Latin name
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.name"
                                             aria-label="Czech name">Czech name
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.family_lat"
                                             aria-label="Latin family">Latin family
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.family"
                                             aria-label="czech family">Czech family
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.category"
                                             aria-label="category">Category
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.tags"
                                             aria-label="category">Tags
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.published"
                                             aria-label="category">Published
                                </md-checkbox>
                            </md-menu-item>
                            <md-menu-item>
                                <md-checkbox ng-change="updateVisibleColumns()" ng-model="visibleColumns.authors"
                                             aria-label="category">Autoři
                                </md-checkbox>
                            </md-menu-item>
                        </md-menu-content>
                    </md-menu>
                    <span>#Id</span></th>
                <th md-column ng-if="visibleColumns.name_lat" md-order-by="name_lat"><span>Jméno (LAT)</span></th>
                <th md-column ng-if="visibleColumns.name" md-order-by="name"><span>Jméno (CZ)</span></th>
                <th md-column ng-if="visibleColumns.family_lat" md-order-by="family_name_lat"><span>Čeleď (LAT)</span>
                </th>
                <th md-column ng-if="visibleColumns.family" md-order-by="family_name"><span>Čeleď (CZ)</span></th>
                <th md-column ng-if="visibleColumns.category" md-order-by="category_name"><span>Kategorie</span></th>
                <th md-column ng-if="visibleColumns.tags"><span>Tagy</span></th>
                <th md-column ng-if="visibleColumns.authors" aria-label="Autoři"><span>Autoři</span></th>
                <th md-column ng-if="visibleColumns.published" md-order-by="is_active" aria-label="Publikováno"><span>Pub.</span>
                </th>
                <th md-column class="actionsColumnHeader">Actions</th>
            </tr>
            </thead>
            <tbody class="md-body">

            <tr md-row md-select="plant" md-select-id="id"
                ng-repeat="plant in plants | orderBy:tableModel.query.order | limitTo: tableModel.query.limit: (tableModel.query.page -1) * tableModel.query.limit track by plant.id">
                <td md-cell>{{plant.id}}</td>
                <td md-cell ng-if="visibleColumns.name_lat">{{plant.name_lat}}</td>
                <td md-cell ng-if="visibleColumns.name">{{plant.name}}</td>
                <td md-cell ng-if="visibleColumns.family_lat">{{plant.family_name_lat}}</td>
                <td md-cell ng-if="visibleColumns.family" style="text-decoration: underline"
                    ng-click="editFamily($event, plant.family_id)">{{plant.family_name}}
                </td>
                <td md-cell ng-if="visibleColumns.category" style="text-decoration: underline"
                    ng-click="editCategory($event, plant.category_id)">{{plant.category_name}}
                </td>
                <td md-cell ng-if="visibleColumns.tags">
                    <span ng-repeat="tag in plant.tags" class="table-tag-chip"><a ng-click='editTag($event, tag)'>{{tag.name}}</a>&nbsp;&nbsp;<a
                            ng-click="removeTag(plant, tag)" class="table-tag-chip-delete">X</a></span>
                </td>
                <td md-cell ng-if="visibleColumns.authors">
                    <span ng-repeat="author in plant.authors" class="table-tag-chip">{{author.name}}</span>
                </td>
                <td md-cell ng-if="visibleColumns.published">
                    <md-checkbox ng-model="plant.is_active" aria-label="Published?'" ng-click="publishPlant(plant)">
                    </md-checkbox>
                </td>
                <td md-cell class="actionsCell">
                    <div layout="row">
                        <a title="edit" href='' ng-click="editPlant(plant.id)"><i
                                class="material-icons">mode_edit</i></a>
                        <a title="delete" href='' ng-click="deletePlant(plant.id, $event)"><i class="material-icons">delete</i></a>
                    </div>
                </td>
            </tr>
            <tr ng-if="plants.length===0" md-row>
                <td md-cell colspan="8" style="text-align: center;">
                    No plants found
                </td>
            </tr>
            </tbody>
        </table>
    </md-table-container>
</div>
<div layout="row">
    <div flex-gt-sm=""></div>
    <md-table-pagination flex-gt-sm="40" md-limit="tableModel.query.limit"
                         md-limit-options="tableModel.limitOptions" md-page="tableModel.query.page"
                         md-on-paginate="onTableModelCahnged()"
                         md-total="{{plants.length}}" md-on-paginate="getPlants"
                         md-page-select></md-table-pagination>
</div>
